Subject: Re: [RFC] [PATCH 0/5 V2] Huge page backed user-space stacks

From: Andrew Morton <[email-masked]>
Date: Wed, 30 Jul 2008 13:07:09 -0700

On Wed, 30 Jul 2008 20:30:10 +0100
Mel Gorman <[email-masked]> wrote:

> With Erics patch and libhugetlbfs, we can automatically back text/data[1],
> malloc[2] and stacks without source modification. Fairly soon, libhugetlbfs
> will also be able to override shmget() to add SHM_HUGETLB. That should cover
> a lot of the memory-intensive apps without source modification.

The weak link in all of this still might be the need to reserve
hugepages and the unreliability of dynamically allocating them.

The dynamic allocation should be better nowadays, but I've lost track
of how reliable it really is.  What's our status there?

Thanks.